import pandas as pd
from rpy2.robjects import r
from collections import OrderedDict

def lvt2od(robj):
    names = robj.names
    if names.__class__.__name__ == 'RNULLType':  # without name
        names = range(1, len(robj)+1)
    pod = OrderedDict()
    for name in names:
        pobj = list(robj.rx2(name))
        if len(pobj) == 1:
            pobj = pobj[0]
        pod[name] = pobj
    return pod

rscript = '''\
lx1 = list("color", c("black", "#000000"), c("white", "#ffffff"))
lx2 <- list(fruit="apple", price=450)
'''
r(rscript)
lx1 = r['lx1']
lx2 = r['lx2']
for lx in [lx1, lx2]:
    lod = lvt2od(lx)
    for key in lod.keys():
        print(key)
        print(lod[key])
        print('')
